​

Add checklist to card

POST
https://example.kaiten.ru/api/latest/cards/{card_id}/checklists
Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
name
string
minLength: 1
maxLength: 1024

Name

sort_order
number
exclusiveMinimum: 0

Position

items_source_checklist_id
integer
minimum: 1

Checklist id to copy list items from

exclude_item_ids
array of integers

If source id is presented, these ids will be used to not include list items in created checklist

source_share_id
integer
minimum: 1

Share checklist id

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Card checklist id
name

string

Checklist name
policy_id

null | integer

Template checklist id
checklist_id

string

Card checklist id
sort_order

number

Position
deleted

boolean

Flag indicating that checklist deleted
items

array

Schema
Checklist items
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/checklists' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!